# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'ptero/version'

Gem::Specification.new do |spec|
  spec.name          = "ptero"
  spec.version       = Ptero::VERSION
  spec.authors       = ["LuminousRubyist"]
  spec.email         = ["luminousrubyist@zoho.com"]
  spec.summary       = "Command-line interface for Dinosaur projects."
  spec.description   = "Ruby on Rails-style MVC framework for PHP. Builds fast and clean projects in seconds with pure-PHP controllers, templates, and models. RESTful routes, modular templates, databases without a drop of SQL. You won't be disappointed. Download this gem, then run `$ ptero new <appname>` and be on your merry way."
  spec.homepage      = "http://luminousrubyist.github.io/ptero/"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]
  
  spec.required_ruby_version = '>= 2.0'
  spec.add_dependency "bundler", "~> 1.7.4"
  spec.add_dependency "rake", "~> 10.0"
  spec.add_dependency "colorize", "~>0.7.3"
  spec.add_dependency "erubis", "~>2.7.0"
  spec.add_dependency "thor", "~>0.19.1"
  spec.add_dependency "mute", "~> 1.1.0"
  spec.add_dependency "minitest", "~> 5.4.3"
end
