# test_exceptions.rb
# ==================
# 
# Test Ptero Exceptions

require 'minitest/autorun'
require 'ptero'

class TestExceptions < MiniTest::Test
  
  def test_exceptions_should_be_exceptions
    @exceptions.each do |klass|
      exception = klass.new('Something bad happened!')
      
      assert exception.is_a? Exception
      assert exception.is_a? StandardError
      assert exception.is_a? klass
      
      
    end
  end
  
  def test_exceptions_should_raise
    @exceptions.each do |klass|
      exception = klass.new('Something bad happened!')
      
      assert_raises klass do
        raise exception
      end
    end
  end
  
  def setup
    exceptions
  end
  
  def exceptions
    Dir.glob("#{__dir__}/../lib/ptero/exceptions/*exception.rb").each do |location|
      require location
    end
   
    @exceptions = Ptero::Exception.constants.map { |sym| Ptero::Exception.const_get(sym) }
  end
  
  
  def teardown
    super
  end
  
  
  
end